import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';

@Component({
  selector: 'app-test-sub-comp',
  templateUrl: './test-sub-comp.component.html',
  styleUrls: ['./test-sub-comp.component.css']
})
export class TestSubCompComponent implements OnInit {
  @Input()
  message: string;
  @Input()
  anotherInput: string;

  @Output()
  buttonClickedEvent: EventEmitter<void> = new EventEmitter<void>();

  constructor() {
  }

  ngOnInit(): void {
    this.message;
  }

}
